/*
 * JBoss, the OpenSource J2EE webOS
 *
 * Distributable under LGPL license.
 * See terms of license at gnu.org.
 */
package org.jboss.management.j2ee;

/**
 * MBean interface.
 */
public interface J2EEDomainTargetMBean extends org.jboss.system.ServiceMBean
{

   java.lang.String[] getservers();

   java.lang.String getserver(int pIndex);

   void addChild(javax.management.ObjectName pChild);

   void removeChild(javax.management.ObjectName pChild);

}
